$ErrorActionPreference = 'Stop';

$packageName    = 'Fogg'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url            = 'https://github.com/Badgerati/Fogg/releases/download/v0.5.0/0.5.0-Binaries.zip'
$checksum       = '723809002BCDAF191294661D1156E5C95331FC66EB7407D12BC6434169C8CF9A'
$checksumType   = 'sha256'

$packageArgs = @{
  PackageName   = $packageName
  UnzipLocation = $toolsDir
  Url           = $url
  Checksum      = $checksum
  ChecksumType  = $checksumType
}

# Download
Install-ChocolateyZipPackage @packageArgs

# Install
$path = Join-Path $env:chocolateyPackageFolder 'tools/src'
Push-Location $path

try
{
    Write-Host 'Updating environment Path'
    Install-ChocolateyPath -PathToInstall $path -PathType 'Machine'
    Update-SessionEnvironment
}
finally
{
    Pop-Location
}
